Activity log for bug #1338697

Date Who What changed Old value New value Message
2014-07-07 17:31:02 Nekhelesh Ramananthan bug added bug
2014-07-07 17:31:35 Nekhelesh Ramananthan bug task added qtorganizer5-eds (Ubuntu)
2014-07-07 17:32:13 Nekhelesh Ramananthan description In the clock app, I am trying to add the option to set custom sounds for an alarm. Creating a new alarm and choosing a custom sound works properly. When the alarm is triggered, it rings using the correct sound. However when you read that alarm from the alarm model and output the sound url, it is always empty. As a result, one cannot check an alarm to see what sound was assigned to it. In the clock app, I am trying to add the option to set custom sounds for an alarm. Creating a new alarm and choosing a custom sound works properly. When the alarm is triggered, it rings using the correct sound. However when you read that alarm from the alarm model and output the sound url, it is always empty. As a result, one cannot check an alarm to see what sound was assigned to it. I have created a sample alarms app to illustrate the issue at lp:~nik90/ubuntu-clock-app/alarmtest
2014-07-07 17:34:14 Nekhelesh Ramananthan description In the clock app, I am trying to add the option to set custom sounds for an alarm. Creating a new alarm and choosing a custom sound works properly. When the alarm is triggered, it rings using the correct sound. However when you read that alarm from the alarm model and output the sound url, it is always empty. As a result, one cannot check an alarm to see what sound was assigned to it. I have created a sample alarms app to illustrate the issue at lp:~nik90/ubuntu-clock-app/alarmtest In the clock app, I am trying to add the option to set custom sounds for an alarm. Creating a new alarm and choosing a custom sound works properly. When the alarm is triggered, it rings using the correct sound. However when you read that alarm from the alarm model and output the sound url, it is always empty. As a result, one cannot check an alarm to see what sound was assigned to it. I have created a sample alarms app to illustrate the issue at lp:~nik90/ubuntu-clock-app/alarmtest Steps to reproduce bug: 1. Create a new alarm by pressing the + header button 2. Set alarm to ring in the next 10-15 seconds 3. Set a custom alarm sound by choosing one in the option selector 4. Save alarm In the main page, click on the created alarm What happens: The alarm sound value is empty What should happen: The alarm sound correctly points to the path of the chosen sound
2014-07-09 10:10:02 Launchpad Janitor qtorganizer5-eds (Ubuntu): status New Confirmed
2014-07-09 10:10:08 Christian Dywan ubuntu-ui-toolkit: status New Confirmed
2014-07-14 12:15:35 Christian Dywan ubuntu-ui-toolkit: assignee Zsombor Egri (zsombi)
2014-07-17 20:25:47 Renato Araujo Oliveira Filho qtorganizer5-eds (Ubuntu): status Confirmed Invalid
2014-08-04 14:15:39 Nekhelesh Ramananthan bug task added ubuntu-clock-app
2014-08-04 14:15:47 Nekhelesh Ramananthan ubuntu-clock-app: importance Undecided High
2014-08-04 14:15:50 Nekhelesh Ramananthan ubuntu-clock-app: milestone rtm
2014-08-04 14:16:29 Nekhelesh Ramananthan ubuntu-clock-app: status New Triaged
2014-08-06 07:02:43 Zsombor Egri ubuntu-ui-toolkit: importance Undecided Critical
2014-08-06 10:55:14 Zsombor Egri ubuntu-ui-toolkit: status Confirmed In Progress
2014-08-06 14:22:49 Launchpad Janitor branch linked lp:~zsombi/ubuntu-ui-toolkit/alarm-sound-fix
2014-08-06 16:38:04 Nekhelesh Ramananthan ubuntu-clock-app: assignee Zsombor Egri (zsombi)
2014-08-06 16:38:11 Nekhelesh Ramananthan ubuntu-clock-app: status Triaged In Progress
2014-08-12 11:10:30 PS Jenkins bot ubuntu-ui-toolkit: status In Progress Fix Committed
2014-08-14 12:22:33 Nekhelesh Ramananthan ubuntu-clock-app: status In Progress Fix Committed
2014-08-14 13:04:14 Launchpad Janitor branch linked lp:ubuntu/utopic-proposed/ubuntu-ui-toolkit
2014-08-18 11:45:29 Nekhelesh Ramananthan ubuntu-ui-toolkit: status Fix Committed Fix Released
2014-08-18 11:45:31 Nekhelesh Ramananthan ubuntu-clock-app: status Fix Committed Fix Released
2015-07-14 07:55:22 Zsombor Egri ubuntu-ui-toolkit (Ubuntu): status New Fix Released